Subject: William Maggs: Re: Taxonomy draft - web replication problems

From: Micah Beck <[email-masked]>
Date: Fri, 20 Aug 1999 18:52:33 -0400

Bill Maggs wrote:

> i am warm to it, but the concept of service as defined elsewhere in the Apps area would need to be included, and I don"t want to create more fights.  That being said, I think that Micah's basic statement is a good distinction.  But keep in mind that databases, file systems, processes, and machines are all possible things that can  be replicated, and the these are not necessarily only services.

OK, this is where I have a point of view which some may consider extreme.

A database may be replicated, but that is not something which you can tell
over the network.  Over the network, all you know is that the service of
accessing the database is replicated.

The discussion of digital objects is very difficult because they are not
directly visible on the network.  Only the service of accessing them is.

How can the network tell if I have a copy of a database or if I am acting as
a pass-through proxy?  All that matters is that the service is available in 
more than one place on the network.

In this view, all that is meaningful to talk about is replication of services.
The rest is implementation, not protocol.

/micah